---
title: How to use navigation sidebars
slug: MDN/Contribute/Howto/Use_navigation_sidebars
tags:
  - Documentation
  - Draft
  - HTML
  - MDN
  - MDN Meta
  - MDN Web Docs
  - Macros
  - Meta
  - NeedsContent
  - Tutorial
  - sidebars
---
<p>{{MDNSidebar}}{{Draft}}</p>

<p>Navigation on MDN is frequently done using sidebars that list other articles in a series as well as related content both in the same documentation suite and in other areas of MDN. <span class="seoSummary">MDN's sidebars are not created automatically; to include them on the page, you need to create and use a macro of some sort. In this article, we will review the process of both creating MDN sidebar macros and how to use them in an article.</span></p>

<h2 id="Current_MDN_sidebar_macros">Current MDN sidebar macros</h2>

<p>MDN already has a number of macros for creating sidebars. Most are specific to particular sections of MDN, while others are intended to create generic sidebars for documentation areas that don't otherwise have any.</p>

<dl>
 <dt>{{TemplateLink("AddonSidebar")}}</dt>
 <dd>Inserts a sidebar for navigating the add-ons documentation; this is primarily content about creating browser extensions.</dd>
 <dt>{{TemplateLink("APIRef")}}</dt>
 <dd>Inserts a sidebar used within API interface reference pages and subpages.</dd>
 <dt>{{TemplateLink("CanvasSidebar")}}</dt>
 <dd>Inserts a sidebar used within the HTML/DOM Canvas documentation.</dd>
 <dt>{{TemplateLink("DefaultAPISidebar")}}</dt>
 <dd>Inserts a default sidebar that can be used on the API overview page of an API that doesn't have its own sidebar type.</dd>
 <dt>{{TemplateLink("FirefoxSidebar")}}</dt>
 <dd>Inserts a sidebar used on the documentation that's specific to Firefox.</dd>
 <dt>{{TemplateLink("GamesSidebar")}}</dt>
 <dd>Inserts a sidebar for navigating MDN's content about developing games using web technologies.</dd>
 <dt>{{TemplateLink("HTMLSidebar")}}</dt>
 <dd>Inserts the sidebar used within MDN's HTML documentation.</dd>
 <dt>{{TemplateLink("HTTPSidebar")}}</dt>
 <dd>Inserts a sidebar for use on pages within MDN's HTTP documentation.</dd>
 <dt>{{TemplateLink("JSSidebar")}}</dt>
 <dd>Inserts a sidebar for use within the JavaScript documentation.</dd>
 <dt>{{TemplateLink("LearnSidebar")}}</dt>
 <dd>Inserts the Learning Area sidebar.</dd>
 <dt>{{TemplateLink("MDNSidebar")}}</dt>
 <dd>Inserts a sidebar for navigating MDN's "meta-documentation;" that is, documentation about using and editing the MDN Web Docs site itself. You can actually see that macro in use on this page.</dd>
 <dt>{{TemplateLink("ServiceWorkerSidebar")}}</dt>
 <dd>Inserts a sidebar for use within documentation about Service Workers.</dd>
 <dt>{{TemplateLink("SpiderMonkeySidebar")}}</dt>
 <dd>Inserts a sidebar for use on pages documenting SpiderMonkey, Mozilla's JavaScript engine.</dd>
 <dt>{{TemplateLink("ToolsSidebar")}}</dt>
 <dd>Inserts a sidebar listing pages about Firefox developer tools.</dd>
 <dt>{{TemplateLink("WebAssemblySidebar")}}</dt>
 <dd>Inserts a sidebar containing links related to WebAssembly.</dd>
 <dt>{{TemplateLink("WebExtAPISidebar")}}</dt>
 <dd>Inserts a sidebar used to navigate the API reference documentation about browser e3dtensions (WebExtensions).</dd>
 <dt>{{TemplateLink("WebGLSidebar")}}</dt>
 <dd>Inserts a sidebar that provides navigation of WebGL-related content.</dd>
 <dt>{{TemplateLink("WebRTCSidebar")}}</dt>
 <dd>Inserts a sidebar whose contents provide navigation of WebRTC documentation on MDN.</dd>
 <dt>{{TemplateLink("XSLTRef")}}</dt>
 <dd>Inserts a sidebar with documentation for XSLT, EXSLT and XPath.</dd>
</dl>

<h2 id="Using_sidebars">Using sidebars</h2>

<p>To add a sidebar to a page, find the right macro, then, on the page on to which you want to insert the sidebar, click the "Edit" button. Add to the page a {{HTMLElement("p")}} block whose contents are the call to the macro. Once there, you can add the macro call. Typically, sidebar macros don't require any parameters, so you can just do, for example:</p>

<pre class="brush: html; no-line-numbers">&lt;p&gt;\{{MDNSidebar}}&lt;/p&gt;</pre>

<p>Usually, you should do this as the first line of the document. In some documents, it's been done at the bottom instead. This works fine, but for the sake of consistency, try to place it at the top.</p>

<p>If there's already a {{HTMLElement("p")}} block with macro calls at the top of the page, such as those that create banners like <code>\{{Non-standard_Header}}</code>, you can put the sidebar macro inside the same {{HTMLElement("p")}}, like this:</p>

<pre class="brush: html; no-line-numbers">&lt;p&gt;\{{HTTPSidebar}}\{{Non-standard_Header}}&lt;/p&gt;</pre>

<h2 id="Creating_sidebars">Creating sidebars</h2>

<p><em>details coming</em></p>

<p>Talk about {{TemplateLink("SidebarUtilities")}}.</p>

<p>There are some macros that can be used to help build sidebars:</p>

<dl>
 <dt>{{TemplateLink("ListSubpagesForSidebar")}}</dt>
 <dd>Creates a tree of links structured for use in a sidebar, using the subpages of the specified page.</dd>
</dl>
